package com.plannaplan.models;

import java.sql.Date;

public class TourData {

    private Date start;
    private Date end;

    /**
     * construcotr for java.sql.Date
     * 
     * @param start Date when tour start
     * @param end   Date when tour end
     */
    public TourData(Date start, Date end) {
        this.start = start;
        this.end = end;
    }

    /**
     * constructor construcotr for java.util.Date
     * 
     * @param start Date when tour start
     * @param end   Date when tour end
     */
    public TourData(java.util.Date start, java.util.Date end) {
        this.start = new Date(start.getTime());
        this.end = new Date(end.getTime());
    }

    /**
     * tour end getter
     * 
     * @return Date end of tour
     */
    public Date getEnd() {
        return end;
    }

    /**
     * tour start getter
     * 
     * @return Date beginning of tour
     */
    public Date getStart() {
        return start;
    }
}
